module br.frame;

private import opengl;
private import br.screen;

public class Frame{
	

	
	public void draw(){
		
		glDisable(GL_LIGHTING);
		glDisable(GL_DEPTH_TEST);
			
			
		glEnable(GL_BLEND);
		glEnable(GL_LINE_SMOOTH);
		
		glPushMatrix();
		
		glColor3f(1.0f ,1.0f ,1.0f);
		glBegin(GL_LINES);
		glVertex3f(Screen.GAME_RIGHT ,Screen.GAME_UP ,-800.0f);
		glVertex3f(Screen.GAME_RIGHT ,Screen.GAME_DOWN ,-800.0f);
		glEnd();
		
		glColor3f(1.0f ,1.0f ,1.0f);
		glBegin(GL_LINES);
		glVertex3f(Screen.GAME_LEFT ,Screen.GAME_UP ,-800);
		glVertex3f(Screen.GAME_LEFT ,Screen.GAME_DOWN ,-800);
		glEnd();
		
		glPopMatrix();
		/*
		glDisable(GL_LINE_SMOOTH);
		glDisable(GL_BLEND);
		glDisable(GL_LIGHTING);
		glDisable(GL_DEPTH_TEST);
		
		glColor3f(83.0f/255.0f ,177.0f/255.0f ,205.0f/255.0f);
		glBegin(GL_QUADS);
		glVertex3f(Screen.GAME_LEFT ,Screen.GAME_UP ,-800.0f);
		glVertex3f(Screen.GAME_LEFT ,Screen.GAME_DOWN ,-800.0f);
		glVertex3f(Screen.GAME_RIGHT ,Screen.GAME_DOWN ,-800.0f);
		glVertex3f(Screen.GAME_RIGHT ,Screen.GAME_UP ,-800.0f);
		glEnd();
		*/
	}
	
}